#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xFD,0xCF,0x90,0x98,0x72,0x1D,0x78,0x00,0xD9,0x0B,0xD8,0x64,
		0xA6,0xB3,0x62,0x2D,0xD7,0x96,0x72,0x3A,0xF6,0xA2,0x61,0x61,
		0x8A,0x74,0x90,0xBB,0x45,0x45,0xB7,0x6C,0x32,0x28,0x76,0x7F,
		0xA3,0xE5,0x32,0x9B,0x69,0x7C,0x2D,0x21,0xF8,0x35,0x05,0x73,
		0xAB,0xBA,0x55,0xCF,0x28,0xC3,0x3C,0x61,0x0E,0x98,0x8B,0x34,
		0x6C,0x28,0x17,0x33,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
